﻿using Infragistics.Controls.Editors;
using Infragistics.Windows;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace sharedXamComboEditor_sample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<Item> Items { get; set; }
        private const string allItemsSelectedValue = "All items";

        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = this;

            Items = new ObservableCollection<Item>()
            {
                new Item("Item01"),
                new Item("Item02"),
                new Item("Item03"),
                new Item("Item04"),
                new Item("Item05")
            };
        }

        private void combo_SelectionChanged(object sender, Infragistics.Controls.Editors.SelectionChangedEventArgs e)
        {
            var comboEditor = sender as XamComboEditor;
            if (comboEditor == null)
                return;

            if (comboEditor.Items.Count == combo.SelectedItems.Count)
            {
                var panel = Utilities.GetDescendantFromName(comboEditor, "MultiSelectContentPanel") as StackPanel;
                panel.Children.Clear();
                panel.Children.Add(new TextBlock() { Text = allItemsSelectedValue });
            }
        }
    }
}
